Qore SqlUtil Module Reference 1.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Groups Pages
Public Member Functions | Public Attributes | List of all members
SqlUtil::AbstractView Class Referenceabstract

base class for views More...

## Public Member Functions
| constructor (string n_name, string n_src)
| creates the object from the arguments
abstract string | getCreateSql (*hash opt)
| returns a string that can be used to create the view in the database
string | getDropSql ()
| returns a string that can be used to drop the view from the database
abstract softlist | getRenameSql (string new_name)
| returns a list with command(s) that can be used to rename the view in the database

## Public Attributes
string | name
| the name of the sequence
string | src
| the source code
bool | updatable
| Flag showing if is the view updatable with DML commands.

## Detailed Description

base class for views